\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Modular Arithmetic

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Classes
CGAL Namespace Reference

## Classes
class | Modular_traits
| An instance of `Modular_traits` is a model of `ModularTraits`, where T is the associated type. More...
class | Residue
| The class `Residue` represents a finite field \( \mathbb{Z}{/p\mathbb{Z}}\), for some prime number \( p\). More...